import { FuseNavigation } from 'src/@fuse/types';

export const navigation: FuseNavigation[] = [
  {
    id: 'dashboard',
    title: 'Dashboard',
    translate: 'navigation.dashboard.title',
    type: 'collapsable',
    icon: 'dashboard',
    children: [
      {
        id: 'dashboard-main',
        title: 'Main',
        translate: 'navigation.dashboard.main.title',
        type: 'item',
        icon: 'email',
        url: '/dashboard/main'
      },
      {
        id: 'dashboard-media',
        title: 'Media',
        translate: 'navigation.dashboard.media.title',
        type: 'item',
        icon: 'email',
        url: '/dashboard/media'
      },
      {
        id: 'dashboard-user',
        title: 'User',
        translate: 'navigation.dashboard.user.title',
        type: 'item',
        icon: 'group',
        url: '/dashboard/user'
      }
    ]
  },
  {
    id: 'medias',
    title: 'Medias',
    icon: 'music_video',
    translate: 'navigation.medias.title',
    type: 'collapsable',
    children: [
      {
        id: 'medias-media',
        title: 'Media',
        translate: 'navigation.medias.media.title',
        type: 'item',
        icon: 'music_video',
        url: '/media/medias'
      }
    ]
  },
  {
    id: 'users',
    title: 'Users',
    icon: 'group',
    translate: 'navigation.users.title',
    type: 'collapsable',
    children: [
      {
        id: 'users-user',
        title: 'User',
        translate: 'navigation.users.user.title',
        type: 'item',
        icon: 'group',
        url: '/user/users'
      }
    ]
  }
];
